#include "fits.i"
img = lp_chi2_slice( world, x="diameter1", xmin=5.0, xmax=15.0, xsampling=10, y="diameter1", ymin=5.0, ymax=15.0, ysampling=10 , reduced_chi2=1,log_chi2=1);
fh = fits_create("chi2map.fits",bitpix=-32,dimlist=dimsof(img));
xmin=5.0*1.0
xmax=15.0*1.0
ymin=5.0*1.0
ymax=15.0*1.0
pixscale=1.0*10
x1=sign(xmin)*ceil(abs(xmin)/pixscale)*pixscale
x2=sign(xmax)*ceil(abs(xmax)/pixscale)*pixscale
crpix1 = 1.0 + ( -x1 / ( x2 - x1 )) * (dimsof(img)(2) - 1);
y1=sign(ymin)*ceil(abs(ymin)/pixscale)*pixscale
y2=sign(ymax)*ceil(abs(ymax)/pixscale)*pixscale
crpix2 = 1.0 + ( -y1 / ( y2 - y1 )) * (dimsof(img)(3) - 1);

//fits_set, fh, "CDELT1", pixscale;
//fits_set, fh, "CDELT2", pixscale;
//fits_set, fh, "CRVAL1", 0.0;
//fits_set, fh, "CRVAL2", 0.0;
//fits_set, fh, "CRPIX1", crpix1;
//fits_set, fh, "CRPIX2", crpix2;

fits_set, fh, "COMMENT","Generated by LITpro wrapper";
fits_write_header, fh;
fits_write_array ,fh ,img;
fits_close, fh;

